dbXML API

## org.dbxml.tools.command
Class ListCollectionDocuments

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command
            |
            +--org.dbxml.tools.command.ListCollectionDocuments

public class ListCollectionDocuments
extends Command

ListCollectionDocumets.java is designed to let the user list all documents in a specific collection. NOTE: Document names are returned in no specific order

Fields inherited from class org.dbxml.tools.command.Command
`COLLECTIONURI, DBXML_NAME_INDEXER, DBXML_VAL_INDEXER, DBXMLURI, XMLDBAPIVERSION`

Constructor Summary
`ListCollectionDocuments()`

Method Summary
`boolean` `execute(java.util.Hashtable table)`

Methods inherited from class org.dbxml.tools.command.Command
`normalizeCollectionURI, normalizeDbXmlURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListCollectionDocuments

    public ListCollectionDocuments()

Method Detail

### execute

    public boolean execute(java.util.Hashtable table)
                    throws java.lang.Exception

  Overrides:
    `execute` in class `Command`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved